Arch Linux Security Advisory ASA-202011-8
=========================================

Severity: Medium
Date    : 2020-11-10
CVE-ID  : CVE-2020-28049
Package : sddm
Type    : privilege escalation
Remote  : No
Link    : https://security.archlinux.org/AVG-1266

Summary
=======

The package sddm before version 0.19.0-1 is vulnerable to privilege
escalation.

Resolution
==========

Upgrade to 0.19.0-1.

# pacman -Syu "sddm>=0.19.0-1"

The problem has been fixed upstream in version 0.19.0.

Workaround
==========

None.

Description
===========

A local privilege escalation has been discovered in the sddm display
manager < 0.19.0. If the auth file is empty, X allows any local
application (= any user on the system) to connect. This is currently
the case until X wrote the display number to sddm and sddm used that to
write the entry into the file.

Impact
======

A local user might be able to escalate privileges.

References
==========

https://www.openwall.com/lists/oss-security/2020/11/04/2
https://github.com/sddm/sddm/commit/be202f533ab98a684c6a007e8d5b4357846bc222
https://security.archlinux.org/CVE-2020-28049